Bug 499088 - Inkscape generates invalid ODG files
Inkscape generates invalid ODG files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 03:21 EDT by Zirneklitis
Modified: 2009-05-18 14:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 14:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested information (18.08 KB, application/zip)
2009-05-10 14:43 EDT, Zirneklitis
no flags Details

  None (edit)
Description Zirneklitis 2009-05-05 03:21:58 EDT
Description of problem:

Inkscape saves ODG files which are not recognized by OpenOffice.org Draw. The same buggy result in Fedora 8 as well as in Fedora 11 preview.

Version-Release number of selected component (if applicable):

Inkscape 0.46+devel, built Apr 10 2009

How reproducible:

Tray to save any drawing as ODG file

Steps to Reproduce:

1. Choose File/Save As
2. Select OpenDocument Drawing (*.odg) as the file format
3. Try to open the newly created drawing with OOo.
  
Actual results:

A message appear: "The file 'drawing.odg' is corrupt and there fore could not be opened. Should OpenOffice.org repair the file?" If [Yes] is cliked, a blank
document is created.

Expected results:

OpenOffice.org should open the drawing.

Additional info:

Windows XP version of Inkscape creates valid ODG files.
Comment 1 Lubomir Rintel 2009-05-08 12:50:02 EDT
Works for me.

Please attach the following information:

1.) The corrupt odg file
2.) List of packages you have installed ("rpm -qa")
3.) Output from inkscape when run in terminal

Thanks!
Comment 2 Zirneklitis 2009-05-10 14:43:52 EDT
Created attachment 343286 [details]
Requested information
Comment 3 Lubomir Rintel 2009-05-10 16:52:33 EDT
diff i386 vs. x86_64 generated image.
x86_64 seems to miss one node per object, 64-bit specific problem

[lkundrak@bimbo test1]$ diff content.xml2 content.xml 
7c7
<   Generated by Inkscape: Sun May 10 22:35:44 2009
---
>   Generated by Inkscape: Sun May 10 22:22:16 2009
65,66c65,66
<     svg:d="M 3143.483 34297.019 C 2956.290 33548.248 2361.921 32340.376 2200.626 31211.305 C 2025.641 29986.415 2230.887 28915.503 3314.911 28554.162 C 4967.541 28003.285 6959.124 29603.287 7943.483 30697.019 C 8348.937 31147.523 8744.324 31619.078 9229.197 31982.733 C 9306.178 32040.469 9321.753 30196.416 8714.911 28982.733 C 7445.295 26443.501 6144.558 23688.386 5114.911 21011.305 C 4185.736 18595.450 2933.039 16351.401 2114.911 13897.019 C 1785.371 12908.399 2349.916 12162.487 2800.626 11411.305 C 2886.340 11268.447 2972.054 11125.590 3057.768 10982.733 C 3669.061 9963.913 4018.052 8712.905 5200.626 8239.876 C 5343.483 8182.733 5486.340 8125.590 5629.197 8068.447 C 7194.733 7442.233 8892.805 8400.422 10086.340 9268.447 C 12208.698 10811.980 12909.052 13102.153 13514.911 15525.590 C 14005.896 17489.529 14563.017 19460.868 15057.768 21439.876 C 15686.277 23953.909 16739.957 26861.396 17886.340 29154.162 C 18734.153 30849.787 18486.340 32369.410 18486.340 30268.447 C 18486.340 29381.899 18583.738 29045.079 19000.626 28211.305 C 19456.151 27300.254 19638.822 26201.679 20372.054 25468.447 C 21124.430 24716.071 22344.609 24753.786 23286.340 24439.876 C 23871.120 24244.949 25351.381 24354.162 25686.340 24354.162 L 3143.483 34297.019 ">
<     <!-- 22 nodes -->
---
>     svg:d="M 1142.231 26444.712 C 955.038 25695.940 360.669 24488.068 199.373 23358.997 C 24.389 22134.108 229.635 21063.196 1313.659 20701.854 C 2966.289 20150.977 4957.872 21750.979 5942.231 22844.711 C 6347.684 23295.215 6743.072 23766.770 7227.945 24130.426 C 7304.926 24188.161 7320.500 22344.108 6713.659 21130.426 C 5444.043 18591.193 4143.306 15836.079 3113.659 13158.997 C 2184.484 10743.142 931.787 8499.094 113.659 6044.711 C -215.880 5056.091 348.664 4310.179 799.373 3558.997 C 885.088 3416.140 970.802 3273.283 1056.516 3130.426 C 1667.809 2111.605 2016.800 860.598 3199.373 387.568 C 3342.230 330.425 3485.088 273.283 3627.945 216.140 C 5193.481 -410.074 6891.553 548.115 8085.088 1416.140 C 10207.446 2959.673 10907.800 5249.845 11513.659 7673.283 C 12004.644 9637.222 12561.764 11608.560 13056.516 13587.568 C 13685.024 16101.601 14738.705 19009.088 15885.088 21301.854 C 16732.901 22997.480 16485.088 24517.103 16485.088 22416.140 C 16485.088 21529.591 16582.486 21192.771 16999.373 20358.997 C 17454.899 19447.947 17637.570 18349.372 18370.802 17616.140 C 19123.178 16863.764 20343.357 16901.478 21285.088 16587.568 C 21869.868 16392.642 23350.129 16501.854 23685.088 16501.854 ">
>     <!-- 21 nodes -->
70,71c70,71
<     svg:d="M 7013.571 9978.723 C 7406.039 9847.900 9282.591 12247.743 9842.142 12807.295 C 10597.706 13562.858 10709.429 14668.157 10870.714 15635.866 L 7013.571 9978.723 ">
<     <!-- 4 nodes -->
---
>     svg:d="M 14.999 20.150 C 407.468 -110.672 2284.019 2289.169 2843.571 2848.721 C 3599.134 3604.284 3710.858 4709.584 3872.142 5677.293 ">
>     <!-- 3 nodes -->
75,76c75,76
<     svg:d="M 4956.428 20955.302 C 5119.464 21118.338 8614.282 19680.732 9070.714 19498.159 C 9213.571 19441.016 9356.428 19383.873 9499.285 19326.731 C 10310.181 19002.372 10932.810 18380.158 11727.857 17783.873 C 11842.142 17698.159 11956.428 17612.445 12070.714 17526.731 C 12694.453 17058.926 13426.716 16559.864 13613.571 15812.445 C 13655.121 15646.247 13905.477 15400.061 13956.428 15298.159 L 4956.428 20955.302 ">
<     <!-- 8 nodes -->
---
>     svg:d="M 15.000 5672.142 C 178.036 5835.178 3672.854 4397.572 4129.285 4214.999 C 4272.142 4157.856 4415.000 4100.714 4557.857 4043.571 C 5368.753 3719.212 5991.382 3096.998 6786.428 2500.714 C 6900.714 2414.999 7015.000 2329.285 7129.285 2243.571 C 7753.024 1775.767 8485.288 1276.704 8672.142 529.285 C 8713.692 363.087 8964.049 116.901 9014.999 14.999 ">
>     <!-- 7 nodes -->
Comment 4 Lubomir Rintel 2009-05-18 03:06:45 EDT
I think I got that. Please test:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1359633
Comment 5 Lubomir Rintel 2009-05-18 14:47:50 EDT
Thanks for the report!

Fix added into Fedora 11. Upstreamed here:
https://bugs.launchpad.net/inkscape/+bug/275519

Note You need to log in before you can comment on or make changes to this bug.